Skip to main content

Evaluates an instant query in a metrics account by ID

GET 

/v1/metrics/prometheus/:accountId/api/v1/query

Runs against the metrics account given by accountId instead of the API token's own account, so it can be called with the API token of a logs account. The token's account must be one of the metrics account's authorized accounts, otherwise the request returns 401. To list the metrics accounts and their authorizedAccountsIds, use Get a list of all metrics accounts.

Retrieve data by submitting a GET request with query parameters. Please ensure to change the region in the URL to match your account's region.

Request​

Path Parameters

    accountId integerrequired

    ID of the metrics account to query.

Query Parameters

    query stringrequired

    Prometheus expression query string.

    time string

    Evaluation timestamp as an RFC3339 or Unix timestamp. Optional.

    timeout string

    Evaluation timeout. Defaults to the value of the -query.timeout flag.

Responses​

Query results in a defined format.

Schema
    status string

    Status of the query (e.g., success, fail).

    data object
    resultType string

    Possible values: [matrix, vector, scalar, string]

    Type of the result.

    result object[]
  • Array [
  • metric objectrequired

    Labels identifying the metric.

    property name* string
    value string[]required

    Possible values: >= 2, <= 2

    The actual data point returned by the query, with timestamp and value.

  • ]
Loading...